Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.jsp.taglib
Class AddListAttributeTag

    java.lang.Object
      javax.servlet.jsp.tagext.SimpleTagSupport
          org.apache.tiles.jsp.taglib.AddListAttributeTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.SimpleTag

    public class AddListAttributeTag

extends javax.servlet.jsp.tagext.SimpleTagSupport

AddListAttribute tag implementation.

Since:
  Tiles 1.0
Version:
  $Rev: 783101 $ $Date: 2009-06-09 21:27:26 +0200 (mar, 09 giu 2009) $

Constructor Summary
`AddListAttributeTag()`

Method Summary
`void` | `doTag()`
`java.lang.String` | `getRole()` Returns the role to check.
`java.lang.String` | `getType()` Returns content type: string, template or definition.
`void` | `setRole(java.lang.String role)` Sets the role to check.
`void` | `setType(java.lang.String type)` Sets content type: string, template or definition.

Methods inherited from class javax.servlet.jsp.tagext.SimpleTagSupport
`findAncestorWithClass, getJspBody, getJspContext, getParent, setJspBody, setJspContext, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddListAttributeTag

    public AddListAttributeTag()

Method Detail

### getRole

    public java.lang.String getRole()

  Returns the role to check. If the user is in the specified role, the tag is taken into account; otherwise, the tag is ignored (skipped).

  Returns:
    The role to check.

### setRole

    public void setRole(java.lang.String role)

  Sets the role to check. If the user is in the specified role, the tag is taken into account; otherwise, the tag is ignored (skipped).

  Parameters:
    `role` - The role to check.

### getType

    public java.lang.String getType()

  Returns content type: string, template or definition.

  - String : Content is printed directly.
  - template : Content is included from specified URL. Value is used as an URL.
  - definition : Value denote a definition defined in factory (xml file). Definition will be searched in the inserted tile, in a `<insert attribute="attributeName">` tag, where 'attributeName' is the name used for this tag.

  Returns:
    The attribute type.

### setType

    public void setType(java.lang.String type)

  Sets content type: string, template or definition.

  - String : Content is printed directly.
  - template : Content is included from specified URL. Value is used as an URL.
  - definition : Value denote a definition defined in factory (xml file). Definition will be searched in the inserted tile, in a `<insert attribute="attributeName">` tag, where 'attributeName' is the name used for this tag.

  Parameters:
    `type` - The attribute type.

### doTag

    public void doTag()
               throws javax.servlet.jsp.JspException,
                      java.io.IOException

  Specified by:
    `doTag` in interface `javax.servlet.jsp.tagext.SimpleTag`
  Overrides:
    `doTag` in class `javax.servlet.jsp.tagext.SimpleTagSupport`
  Throws:
    `javax.servlet.jsp.JspException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.